CREATE TABLE `video_tag_weight` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '记录ID',
  `video_id` bigint NOT NULL COMMENT '视频ID',
  `tag` varchar(50) NOT NULL COMMENT '标签',
  `weight` float NOT NULL COMMENT '权重',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_video_tag` (`video_id`,`tag`),
  KEY `idx_tag` (`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='视频标签权重表'; 